> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Cloud Script Task

> Create a CloudScript task, which can run a CloudScript on a schedule.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| InvalidScheduledTaskName | 1256 |
| InvalidTaskSchedule | 1257 |
| ProductDisabledForTitle | 1609 |
| ScheduledTaskCreateConflict | 1255 |
| ScheduledTaskNameConflict | 1254 |




## OpenAPI

````yaml /services/playfab/api-references/rest/admin/admin.openapi.json post /Admin/CreateCloudScriptTask
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Admin API
  description: >-
    APIs for managing title configurations, uploaded Game Server code
    executables, and user data
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Authentication
    description: Authentication APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Custom Server Management
    description: Custom Server Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: ScheduledTask
    description: Task management APIs
  - name: Segments
    description: Segment management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Xbox Store
    description: Xbox Store APIs
paths:
  /Admin/CreateCloudScriptTask:
    post:
      tags:
        - ScheduledTask
      summary: Create Cloud Script Task
      description: |
        Create a CloudScript task, which can run a CloudScript on a schedule.

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | InvalidScheduledTaskName | 1256 |
        | InvalidTaskSchedule | 1257 |
        | ProductDisabledForTitle | 1609 |
        | ScheduledTaskCreateConflict | 1255 |
        | ScheduledTaskNameConflict | 1254 |
      operationId: CreateCloudScriptTask
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCloudScriptTaskRequest'
        description: >-
          Task name is unique within a title. Using a task name that's already
          taken will cause a name conflict error. Too many create-task requests
          within a short time will cause a create conflict error.
      responses:
        '200':
          $ref: '#/components/responses/CreateTaskResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    CreateCloudScriptTaskRequest:
      description: >-
        Task name is unique within a title. Using a task name that's already
        taken will cause a name conflict error. Too many create-task requests
        within a short time will cause a create conflict error.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Description:
          description: Description the task
          type: string
        IsActive:
          description: >-
            Whether the schedule is active. Inactive schedule will not trigger
            task execution.
          type: boolean
        Name:
          description: >-
            Name of the task. This is a unique identifier for tasks in the
            title.
          type: string
        Parameter:
          allOf:
            - $ref: '#/components/schemas/CloudScriptTaskParameter'
          description: Task details related to CloudScript
        Schedule:
          description: >-
            Cron expression for the run schedule of the task. The expression
            should be in UTC.
          type: string
      required:
        - Name
        - IsActive
        - Parameter
      example:
        Name: EnableWeekdayHappyHour
        Description: Turn on special pricing for weekday happy hour.
        Schedule: 0 17 * * 1-5
        Parameter:
          FunctionName: applyStorePreset
          Argument:
            preset: WeekdayHappyHour
    CloudScriptTaskParameter:
      type: object
      properties:
        Argument:
          description: Argument to pass to the CloudScript function.
          type: object
        FunctionName:
          description: Name of the CloudScript function to execute.
          type: string
      example:
        FunctionName: applyStorePreset
        Argument:
          presetName: dailyHappyHour
    CreateTaskResult:
      type: object
      properties:
        TaskId:
          description: ID of the task
          type: string
      example:
        TaskId: 644FA3A39C9714BC
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    CreateTaskResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/CreateTaskResult'
            example:
              code: 200
              status: OK
              data:
                TaskId: 644FA3A39C9714BC
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Create Cloud Script Task](/services/playfab/api-references/rest/admin/scheduled-task/create-cloud-script-task.md)
- [Get Cloud Script Task Instance](/services/playfab/api-references/rest/admin/scheduled-task/get-cloud-script-task-instance.md)
- [CloudScript](/services/playfab/live-service-management/service-gateway/automation/cloudscript/index.md)
- [PlayFab CloudScript using Azure Functions Quickstart Guide](/services/playfab/live-service-management/service-gateway/automation/cloudscript-af/quickstart.md)
- [Scheduled tasks quickstart](/services/playfab/data-analytics/acting-data/scheduled-tasks/quickstart.md)
